Sledujte nás na YouTube

Máte starý iPhone? Apple vám nabídne možnost stažení předchozích verzí aplikací

Stalo se to nejspíše každému majiteli staršího iPhonu/iPodu Touch – chcete si stáhnout nějakou aplikaci, ale ta uvede, že je kompatibilní až s novějšími modely jablečného telefonu. V některých případech se to však týká pouze konkrétní verze programu a některá ze předcházejících fungovala právě i na starších iPhonech. Apple nyní učinil vstřícný krok a umožňuje v případě potřeby stáhnout neaktuální verze aplikace.

 

Vzhledem k množství změn, které se udály v posledních dvou verzích iOS, jde o velmi smysluplné vylepšení. Mnoho vývojářů bude své aplikace pravděpodobně přizpůsobovat právě novému systému a tím učiní program nekompatibilním s tím starším. Pokud stahujete nějakou takovou aplikaci, budete na tuto skutečnost upozorněni vyskakovacím oknem. Zajásají určitě mimo jiné i majitelé iPhonů 3GS, kteří již aktualizaci na iOS 7 nedostanou.

Martin Pavlović

Redaktor webu SMARTmania.cz a současně student jednoho z pražských gymnázií. Dalšími koníčky jsou mimo technologie také společenské dění, cestování a fotografie. Milovník kvalitní literatury a hudby.

18 komentářů

  1. mceza (neregistrovaný)

    Z pohledu uživatelů to vidím jako dobrý a vstřícný krok. Z pohledu vývojářů ale nikoli.

    Vývojáři asi nebudou moc nadšení, že jim kolují zastaralé verze aplikací. Nejde jen o to, že nové aplikace jsou psány pro nový systém. Co třeba bezpečnost a stabilita?

    Navíc mi chybí informace, jak s platbami – když je aplikace placená, tak si jako budu moci stáhnout za stejnou cenu neaktuální a nepodporovanou verzi?

    Takže co se jeví jako pěkný a vstřícný krok může mít nepříjemné následky.

    • Johny (neregistrovaný)

      Co to plácáš? Naopak je to dobré i pro vývojáře, protože jejich aplikace si bude moc stáhnout větší množství lidí a tím pádem víc vydělají.

      Samozřejmě, že budou ceněné stejně a je na uživateli, jestli si chce stáhnout zastaralou verzi nebo ne. Většina uživatelů si aplikace denního užití jako jsou různé fitness, todo… stáhne i ve staré verzi za peníze (99 centů :D Tady nejsme na WP :D ), než vůbec.

      Jaká bezpečnost a stabilita? Pokud aplikace byla bezpečná a stabilní na starém systému, není důvod proč by nebyla i nadále. Jediné co může být za problém, že se kompletně změní i přístup aplikace k externím zdrojům tak, že stará verze už nebude fungovat. Pravděpodobně ale bude na vývojářích, jestli umožní nebo neumožní stažení starší verze, pochybuji, že to bude Apple nabízet automaticky.

      ——–

      Tohle je naprosto skvělý krok i z pohledu Apple, protože nic nebrání tomu, vytvářet aplikace přímo pro 64 bitový system a tím pádem ho využívat naplno i při 2GB RAM.

    • mceza (neregistrovaný)

      „tím pádem ho využívat naplno i při 2GB RAM.“

      Což je zcela jedno, protože 32bit systém v pohodě 2GB RAM zvládá…

      Jasně, že aplikace typu „pití piva“, řvaní „kháááááán“ a podobně nebudou mít problém. Ale jak si správně psal, tak bude problém se zdrojovými daty. Aplikace nebude podporována a nebudou na to vycházet žádné aktualizace.

      Pokud se objeví chyba (jako že se to prostě stává), tak to nikdo nebude opravovat, protože to opravil v nové verzi.

      A opravdu si myslíš, že si stáhnou starou verzi aplikace za cenu té nové? A to není o WP nebo třeba Badě…

    • uni (neregistrovaný)

      mceza: He? Máš koupenou aplikaci, nainstalovanou na iPhone 5s a na iPadu 2 také, ve starší verzi. Nějak mi uniká souvislost, zda je aplikace placená či nikoli.

      Aha, ono si jen musíme zanadávat na systém, co není WP, tak to jo.

      Jediné co mě napadá, že popis aplikace by měl příp. reflektovat možnou odlišnost funkčnosti stará/nová verze. Ale to je na vývojáři.

    • mceza (neregistrovaný)

      A co když mám iPhone 3G? Za aplikaci, která je polovičně funkční (třeba i nefunkční – např. zdrojová data jsou už distribuována jinak) zaplatím plnou cenu?

      I v původním převzatém článku píší, že Instagram a Twitter nefungují… Protože Instagram i Twitter změnili od té doby API…

      Takže to zas tak úžasná zpráva (jak se tu někteří rozplývají) není, protože se dají čekat velké potíže s nefunkčností aplikací.

      A ne, nejsem ty a nepřidávám sem své komentáře za účelem trollení. Jen jsem prostě chtěl neútočně vyjádřit svůj nároz, že nápad je to zajímavý, ale možná s tím bude víc problémů než užitku.

      Není to o WP, není to o iOS. Ale lidi jako ty to prostě nejsou schopni přijmout…

    • Johny (neregistrovaný)

      No když nebude fungovat, tak jí hned vrátíš. Zas takový problém to neni. Jóooo, to u WP by to problém byl, protože tam aplikace vracet nejdou :D A bohužel k tvé předchozí pověsti, nikdo nevěří, že jen nenadáváš na ostatní.

    • weth (neregistrovaný)

      mceza: mas pravdu, muze se stat, ze NEKTERE aplikace nebudou fungovat. Aplikace ktere nebudou fungovat ted nefungovali ani predtim. No a nektere, ktere predtim nefungovali ted fungovat budou. Takze celkove, jedna se o zlepseni.

    • Pipa (neregistrovaný)

      Já myslím, že to půjde ošéfovat stejně jako na androidu, zkrátka ti to napíše nekompatibilní zařízení a šmitec a nenechá tě to stáhnout nebo koupit něco co nebude fungovat

    • mceza (neregistrovaný)

      The Verge v článku píše, že zkoušeli Twitter a Instagram a nefunguje. Takže tato kontrola minimálně v tuto chvíli není funkční.

  2. Mirek (neregistrovaný)

    Velmi uzitecne… Jablecne pristroje se pysni mnohem vetsim podilem aktualni verze systemu nez Android, ale opacnou stranou mince je to ze pokud nekdo nema aktualni iOS tak ma velke problemy… U Apple je appstore jedina moznost kde vzit aplikace (nemluvim o jailbreakingu), takze pokud nelze ziskat aplikaci odtud, je konec… Navic iOS vyvojari pocitaji, ze vetsina uzivatelu ma aktualni system… U Androidu stary Gingebread neni velkym problemem, ale u Applu neaktualni OS znamena vyrazne omezeni… Uprimne receno si myslim, ze Apple tohle pouzival i k tomu aby prinutil uzivatele koupit novou iVec… Takze me prijemne prekvapuje, ze to zmenili…

  3. Simon (neregistrovaný)

    Tak to sa mi páči. Rozhodne fájn hlavne pre tých čo majú 3G a 3GS a stále slúžia.

    Kiež by Microsoft myslel trošku na WP7.x

    • mceza (neregistrovaný)

      Ale vždyť na WP7.x programovat můžeš. Funguje to vlastně lépe, jak u Apple – můžeš mít pod stejnou aplikací verzi jak pro WP8, tak pro WP7 a na obou současně pracovat.

      Jediný problém je v tom, že WP7 má taková omezení API a tak malé rozšíření, ze dnes se programuje zejména pro WP8. Ale pro iOS4 už dnes asi taky moc lidi nedělá, že…

    • Simon (neregistrovaný)

      V podstate si si odpovedal sám, pokiaľ nie som sám programátor tak sa jedine spoliehať že sa nejaký programátor na WP7.x zľutuje a urobí tu aplikáciu.

      Stačí JB, stiahnuť z internetu starú verziu aplikácie pre IOS 4.2.1 a maš to(nie je to warez, pokiaľ ste si izariadenie reštartovali a stratili niekoľko desiatok aplikácií a už ich nestiahnete lebo už sú na store len v najnovšej verzií).

    • mceza (neregistrovaný)

      Ne, ty to nechápeš. Nebo snad všechny aplikace, co se programují na iOS se automaticky programují na staré verze a až se potom se aktualizují na verze nové? Asi ne, že?

      Takže když teď udělám aplikaci na iOS7, tak asi těžko Apple poskytne majitelům starších verzí mé verze, že?

      A k tomu „nie je to warez, pokiaľ ste si izariadenie reštartovali a stratili niekoľko desiatok aplikácií a už ich nestiahnete lebo už sú na store len v najnovšej verzií“ -> pokud vím, tak dle podmínek musíš aplikace stahovat jen a pouze z iTunes, takže opět pravdu nemáš.

    • Simon (neregistrovaný)

      Hovorí sa o tom že niekto bude robit naschvál staraiu verziu? Nie…

      Nie to ty mňa nechápeš.

      Skoč si na Apple fórum, veľmi radi ti vysvetlia načo slúži JB a Cydia ;)

    • Simon (neregistrovaný)

      A neviem prečo teba užívateľa najlepšieho a nadokonalejšieho OS, WP8 trápia veci na IOS ako je „Co třeba bezpečnost a stabilita?“ a iné veci :)

      Áno, možno ti je ľúto že niečo Cydia neexistuje na WP…

    • W8 (neregistrovaný)

      netreba ani JB

      v itunes kupiš,alebo free appka.vymažeš

      najdeš na nete staršiu verziu a hodíš ju do itunes a nahraš do staršieho iphonu

      nebudeš aktualizovať

  4. petr (neregistrovaný)

    Ahoj, mozna byste mi mohli poradit mam originalni iphone = 2G =1G, mam tam iOS 3.1.3 s funkcemi a vyzazi iOS4 napr Google maps jdou dobre pouzit ale maji malou cache na mapu (nejde to nejak zvetsit) ale umi trasovat, predtim nez sem taqm dal caknuty fw (zkusil sem jich vice tento je nejlepsi rekl bych nema v sobe cydiu)

    tak slo pres PC instalovat spousty aplikaci, ted vetsina z techto verzi nejde, neni nekde nejaka stranka kde by to bylo podrobne vysvetleno a uvedeny vsechny verze aplikaci ktere jdou na jednotlivyc iphonech, pokud by jeste neco bylo pro 2G ? turistickou ceskou mapu bych hodne chtel, neco na skype klienta a Vibre bych chtel aspon instalovat, jo jasne ten telefon je asi 40 x pomalejsi nez iph 5S ktery sem dnes videl v londynskym store applu a taky je nic moc, dal bych vedel jestli se mi vyplati menit baterii, asi by to chtelo po 4 letech co to mam novou (predtim to mel jeste nejakej amik nevim jak dlouho)

    diky

Napsat komentář

Vaše emailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *